Bug 838321 - usbutils-006 is available
usbutils-006 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: usbutils (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukáš Nykrýn
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 07:38 EDT by Upstream Release Monitoring
Modified: 2012-07-16 06:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: usbutils-006-1.fc18
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-16 06:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-07-08 07:38:21 EDT
Latest upstream release: 006
Current version in Fedora Rawhide: 005
URL: http://www.kernel.org/pub/linux/utils/usb/usbutils/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Account closed by user 2012-07-11 07:33:50 EDT
usbutils 006
============

 usb-devices(1): fix a typo
 build: add a --disable-usbids option to avoid installing usb.ids
 update usbhid-dump to 1.3
 lsusb.c: remove unused variables and the unused -x command line option
 Make 'lsusb -t' use the correct device class string names
 Update usb.ids file with latest version.
 Possible buffer overflow when using SYSFS_STR
 Reading 26 item in array with size 12.
 Using uninitialized value as index
 Possible resource leak
 Wrong shifting of bmMPEGFeatures byte
 Buffer overun
 lsusb-t: don't show error when driver link is missing
 --tree, --help, and better build documentation
 Update usbhid-dump to complete 1.3 release
 Option -V(version) doesn't require an argument.
 usbutils: Dump BOS descriptor for USB 2.01 devices.
 lsusb: Show USB 3.0 U1, U2, and LTM status.
 lsusb: Fix LTM capabilities reporting.
 set arrays to NULL when freeing them.
 simplify get_string()
 make treedump() work if the database isn't there.
Comment 2 Lukáš Nykrýn 2012-07-16 06:52:22 EDT
new version committed to git -> http://lists.fedoraproject.org/pipermail/scm-commits/2012-July/817035.html -> closed

Note You need to log in before you can comment on or make changes to this bug.